#ifndef _FS_OFDPAGE_C_H_
#define _FS_OFDPAGE_C_H_

#ifdef __cplusplus
extern "C" {
#endif

#include "fs_basictypes_c.h"
#include "fs_common_c.h"

FSErrorCode FSDK_OFDPage_Create(FS_OFDPAGE_HANDLE* ofdpage_return_value);
FSErrorCode FSDK_OFDPage_Release(FS_OFDPAGE_HANDLE ofdpage_handle);
FSErrorCode FSDK_OFDPage_IsEmpty(FS_OFDPAGE_HANDLE ofdpage_handle, FS_BOOL* return_value);
FSErrorCode FSDK_OFDPage_GetWidth(FS_OFDPAGE_HANDLE ofdpage_handle, float* return_value);
FSErrorCode FSDK_OFDPage_GetHeight(FS_OFDPAGE_HANDLE ofdpage_handle, float* return_value);
FSErrorCode FSDK_OFDPage_GetDisplayMatrix(FS_OFDPAGE_HANDLE ofdpage_handle, int left, int top, int width, int height, FSRotation rotate, FSMatrix* return_value);
#ifdef __cplusplus
}
#endif
#endif
